Bug 37069

Summary: Authorities pagination on OPAC broken by CSRF
Product: Koha Reporter: Nick Clemens (kidclamp) <nick>
Component: OPACAssignee: Nick Clemens (kidclamp) <nick>
Status: Pushed to main --- QA Contact: Emily Lamancusa <emily.lamancusa>
Severity: normal    
Priority: P5 - low CC: david, emily.lamancusa
Version: Main   
Hardware: All   
OS: All   
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=37057
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
This fixes the pagination for authority search results in the OPAC.
Version(s) released in:
24.11.00
Attachments: Bug 37069: OPAC authorities search is stateless
Bug 37069: OPAC authorities search is stateless
Bug 37069: OPAC authorities search is stateless

Description Nick Clemens (kidclamp) 2024-06-11 12:36:51 UTC

    
Comment 1 Nick Clemens (kidclamp) 2024-06-11 12:39:27 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2024-06-11 13:57:13 UTC
Created attachment 167632 [details] [review]
Bug 37069: OPAC authorities search is stateless

This patch removes cud- from the search op and chanegs the form
submission to GET

To test:
1 - Search authorities on OPAC for 'a'
2 - Click page 2
3 - You get the search form
4 - Apply patch, restart all
5 - Repeat search, confirm it works
6 - Click page 2
7 - Confirm you get next results

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 David Nind 2024-06-13 23:19:19 UTC
*** Bug 37086 has been marked as a duplicate of this bug. ***
Comment 4 Emily Lamancusa 2024-06-14 17:58:44 UTC
Created attachment 167757 [details] [review]
Bug 37069: OPAC authorities search is stateless

This patch removes cud- from the search op and chanegs the form
submission to GET

To test:
1 - Search authorities on OPAC for 'a'
2 - Click page 2
3 - You get the search form
4 - Apply patch, restart all
5 - Repeat search, confirm it works
6 - Click page 2
7 - Confirm you get next results

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Emily Lamancusa <emily.lamancusa@montgomerycountymd.gov>
Comment 5 Katrin Fischer 2024-06-21 13:04:31 UTC
Pushed for 24.11!

Well done everyone, thank you!